/*******************************************************************************
*  MC24_1024.ino - EEPROM(24FC1024)を使った読み書きテストサンプル              *
*                                                                              *
* ============================================================================ *
*  VERSION DATE        BY                    CHANGE/COMMENT                    *
* ---------------------------------------------------------------------------- *
*  1.00    2014-09-19  きむ茶工房(きむしげ)  Create                            *
*******************************************************************************/
#include <Wire.h>
#include <skMC24xxx.h>

skMC24xxx MEM(0,0,0) ;        // EEPROM関数の生成を行う(A0/A1端子は全てGNDに配線)

/*******************************************************************************
*  電源起動時とリセットの時だけのみ処理される関数(初期化と設定処理)            *
*******************************************************************************/
void setup()
{
     Serial.begin(9600) ;     // シリアル通信の初期化
}
/*******************************************************************************
*  繰り返し実行される処理の関数(メインの処理)                                  *
*******************************************************************************/
void loop()
{
     int  ans ;
     char dt1[16], dt2[16] ;

     dt1[0] = 'a' ;
     dt1[1] = 'b' ;
     dt1[2] = 'c' ;
     dt1[3] = 'd' ;
     dt1[4] = 'e' ;
     dt1[5] = 'f' ;
     // EEPROMの65533番地から6バイト書き込む
     ans = MEM.Write2(65533,dt1,6) ;
     if (ans == 0) {
          Serial.println("EEPROM Write Success") ;
     } else {
          Serial.print("EEPROM Write Error ans=") ;
          Serial.println(ans) ;
     }
     delay(10) ;
     // EEPROMの65533番地から6バイト読み出す
     ans = MEM.Read2(65533,dt2,6) ;
     if (ans == 0) {
          Serial.print(dt2[0],HEX) ;
          Serial.print(' ') ;
          Serial.print(dt2[1],HEX) ;
          Serial.print(' ') ;
          Serial.print(dt2[2],HEX) ;
          Serial.print(' ') ;
          Serial.print(dt2[3],HEX) ;
          Serial.print(' ') ;
          Serial.print(dt2[4],HEX) ;
          Serial.print(' ') ;
          Serial.println(dt2[5],HEX) ;
     } else {
          Serial.print("EEPROM Read Error ans=") ;
          Serial.println(ans) ;
     }
     while(1) ;               // 処理中断
}
