/*******************************************************************************
*  skMC24xxx.h - Microchip I2C EEPROM(24xxxファミリ)関数ライブラリの           *
*                                                         インクルードファイル *
*                                                                              *
* ============================================================================ *
*  VERSION DATE        BY                    CHANGE/COMMENT                    *
* ---------------------------------------------------------------------------- *
*  1.00    2012-01-25  きむ茶工房(きむしげ)  Create                            *
*  1.10    2012-09-14  きむ茶工房            ArduinoIDE 1.0.1に対応して変更    *
*  2.00    2014-09-19  きむ茶工房            24xx1024に対応して変更            *
*******************************************************************************/
#ifndef skMC24xxx_h
#define skMC24xxx_h

#include "arduino.h"


#define CTLCODE  0b01010000  // 24xxシリーズの制御コード("1010")


/*******************************************************************************
*	クラスの定義                                                              *
*******************************************************************************/
class skMC24xxx
{
  public:
        skMC24xxx(int A0,int A1,int A2) ;
    int Read(long adrs,char *data,int num) ;
    int Read2(long adrs,char *data,int num) ;
    int Write(long adrs,char *data,int num) ;
    int Write2(long adrs,char *data,int num) ;
  private:
    static int slave_adrs ;
} ;

#endif
